<?php
/*

Plugin Name: Hello World
Plugin URI: http://techsharks.af/
Description: Sample Hello World Plugin
Author: AhmadReza Zahedi
Version: 1
Author URI: http://techsharks.af/
*/
 
/*
function sampleHelloWorld()
{
  echo "<h2>Hello World</h2>";
}

function widget_myHelloWorld($args)
{
    extract($args);
    echo $before_widget;
    echo $before_title;?>My Widget Title<?php echo $after_title;
    sampleHelloWorld();
    echo $after_widget;
}
 
function myHelloWorld_init()
{
    register_sidebar_widget(__('Hello World'), 'widget_myHelloWorld');
}
add_action("plugins_loaded", "myHelloWorld_init");
*/

add_action('widgets_init', 'local_posts_init');

function local_posts_init()
{
    register_widget('local_posts');
}

class local_posts extends WP_Widget{
    
    function local_posts()
    {
        $widget_ops = array('classname' => 'local_posts', 'description' => 'Home 1 column local posts widget.');

        $control_ops = array('id_base' => 'local_posts-widget');

        $this->WP_Widget('local_posts-widget', 'Shark: local Posts', $widget_ops, $control_ops);
    }
    
    function widget($args, $instance)
    {
        extract($args);
        
        $show_excerpt = isset($instance['show_excerpt']) ? 'true' : 'false';
        
        $title = $instance['title'];
        $post_type = 'all';
        $categories = $instance['categories'];
        $posts = $instance['posts'];
        $images = true;
        
        //echo $before_widget;
        ?>
        
        <?php
        $post_types = get_post_types();
        unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
        
        if($post_type == 'all') {
            $post_type_array = $post_types;
        } else {
            $post_type_array = $post_type;
        }
        ?>
                            
            <?php
            $local_posts = new WP_Query(array(
                'showposts' => $posts,
                'post_type' => $post_type_array,
                'cat' => $categories,
            ));
            ?>  
            <div class=loc>
            <h1 class="border" style="margin:15px 0px"><a style="right:0px" href="href="<?php echo get_category_link( $categories ); ?>"><?=$title; ?></a></h1>
            <div class=scrollbar><div class=track><div class=thumb></div></div></div>
            <div class=viewport style="height:230px">
                <div class=overview>
                    <table border=0 cellpadding=0 cellspacing=0>
            
            <?php $counter = 1; while($local_posts->have_posts()): $local_posts->the_post(); ?>
            <?php
            if(has_post_format('video') || has_post_format('audio') || has_post_format('gallery')) {
                $icon = '<span class="' . get_post_format($post->ID) . '-icon"></span>';} else {$icon = '';}
            ?>           
                <tr>
                    <th><?php echo get_post_meta(get_the_ID(), "local", true) ?></th><td><a href="<? the_permalink(); ?>"><? the_title();?></a></td>
                </tr>
                
            <?php 
            $counter++; endwhile; ?>
            </table>
                </div>
            </div>
            </div>

            
            
        
            
        <?php
        
    }
    
    function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        
        $instance['show_excerpt'] = $new_instance['show_excerpt'];
        $instance['title'] = $new_instance['title'];
        $instance['post_type'] = 'all';
        $instance['categories'] = $new_instance['categories'];
        $instance['posts'] = $new_instance['posts'];
        $instance['show_images'] = true;
        
        return $instance;
    }

    function form($instance)
    {
        $defaults = array('show_excerpt' => null, 'post_type' => 'all', 'categories' => 'all', 'posts' => 10);
        $instance = wp_parse_args((array) $instance, $defaults); ?>
        
        <p>
            <input class="checkbox" type="checkbox" <?php checked($instance['show_excerpt'], 'on'); ?> id="<?php echo $this->get_field_id('show_excerpt'); ?>" name="<?php echo $this->get_field_name('show_excerpt'); ?>" /> 
            <label for="<?php echo $this->get_field_id('show_excerpt'); ?>">Show excerpt</label>
        </p>
        
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">Title:</label><br />
            <input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
            
            <label for="<?php echo $this->get_field_id('categories'); ?>">Filter by Category:</label> 
            <select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
                <option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>all categories</option>
                <?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
                <?php foreach($categories as $category) { ?>
                <option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
                <?php } ?>
            </select>
        </p>
        
        <p>
            <label for="<?php echo $this->get_field_id('posts'); ?>">Number of posts:</label>
            <input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
        </p>
        
    <?php }
}
?>