<?php
/*
Plugin Name: Hello World
Plugin URI: http://techsharks.af/
Description: Sample Hello World Plugin
Author: AhmadReza Zahedi
Version: 1
Author URI: http://techsharks.af/
*/
 
/*
function sampleHelloWorld()
{
  echo "<h2>Hello World</h2>";
}

function widget_myHelloWorld($args)
{
	extract($args);
	echo $before_widget;
	echo $before_title;?>My Widget Title<?php echo $after_title;
	sampleHelloWorld();
	echo $after_widget;
}
 
function myHelloWorld_init()
{
	register_sidebar_widget(__('Hello World'), 'widget_myHelloWorld');
}
add_action("plugins_loaded", "myHelloWorld_init");
*/

add_action('widgets_init', 'media_init');

function media_init()
{
	register_widget('media');
}

class media extends WP_Widget{
	
	function media()
	{
		$widget_ops = array('classname' => 'media', 'description' => 'Media boxes!');

		$control_ops = array('id_base' => 'media-widget');

		$this->WP_Widget('media-widget', '[Sharks] Media', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$post_type = 'all';
		$btype = $instance['btype'];
		$categories = $instance['categories'];
		$btype_2 = $instance['btype_2'];
		$categories_2 = $instance['categories_2'];
		
		echo $before_widget;
		?>
		
		<?php
		$post_types = get_post_types();
		unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
		
		if($post_type == 'all') {
			$post_type_array = $post_types;
		} else {
			$post_type_array = $post_type;
		}
		?>

		<?php
		$recent_posts = new WP_Query(array(
			'showposts' => 1,
			'post_type' => $post_type_array,
			'cat' => $categories,
		));
		?>
		<?php $recent_posts->have_posts(); $recent_posts->the_post(); ?>
		<div class=co2>
			<h2><a href="<?php echo get_category_link( $categories ) ?>"><?php echo get_cat_name($categories); ?></a></h2>
			<?php if(has_post_thumbnail()): ?>
			<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'widget-image'); ?>
			<a class=<?php echo ( $btype=='video'? 'v' : 'p'); ?> href="<?php echo ($btype=='photo' ? get_category_link($categories) : get_permalink()); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo $image[0]; ?>&w=300&h=190" /><span>Media</span></a>
			<?php else: ?>
			<a class=<?php echo ( $btype=='video'? 'v' : 'p'); ?> href="<?php echo ($btype=='photo' ? get_category_link($categories) : get_permalink()); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php bloginfo('template_directory'); ?>/imgs/thumbnail.png&w=300&h=190" /><span>Media</span></a>
			<?php endif; ?>
			<h3><a href="<?php echo ($btype=='photo' ? get_category_link($categories) : get_permalink()); ?>"><?php the_title(); ?></a></h3>
		</div>

		<?php
		$recent_posts = new WP_Query(array(
			'showposts' => 1,
			'post_type' => $post_type_array,
			'cat' => $categories_2,
		));
		?>
		<?php $recent_posts->have_posts(); $recent_posts->the_post(); ?>
		<div class="co2 las">
			<h2><a href="<?php echo get_category_link( $categories_2 ) ?>"><?php echo get_cat_name($categories_2); ?></a></h2>
			<?php if(has_post_thumbnail()): ?>
			<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'widget-image'); ?>
			<a class=<?php echo ( $btype_2=='video'? 'v' : 'p'); ?> href="<?php echo ($btype_2=='photo' ? get_category_link($categories_2) : get_permalink()); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php echo $image[0]; ?>&w=300&h=190" /><span>Media</span></a>
			<?php else: ?>
			<a class=<?php echo ( $btype_2=='video'? 'v' : 'p'); ?> href="<?php echo ($btype_2=='photo' ? get_category_link($categories_2) : get_permalink()); ?>" title="<?php the_title(); ?>"><img src="<?php bloginfo('template_directory'); ?>/timthumb.php?src=<?php bloginfo('template_directory'); ?>/imgs/thumbnail.png&w=300&h=190" /><span>Media</span></a>
			<?php endif; ?>
			<h3><a href="<?php echo ($btype_2=='photo' ? get_category_link($categories_2) : get_permalink()); ?>"><?php the_title(); ?></a></h3>
		</div>
			
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['post_type'] = 'all';
		$instance['btype'] = $new_instance['btype'];
		$instance['categories'] = $new_instance['categories'];
		$instance['btype_2'] = $new_instance['btype_2'];
		$instance['categories_2'] = $new_instance['categories_2'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('show_excerpt' => null, 'post_type' => 'all', 'btype' => 'video', 'categories' => 'all', 'btype_2' => 'photo', 'categories_2' => 'all');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<h3>First Box</h3>
		<p>
			<label for="<?php echo $this->get_field_id('btype'); ?>">Choose Type:</label> 
			<select id="<?php echo $this->get_field_id('btype'); ?>" name="<?php echo $this->get_field_name('btype'); ?>" class="widefat categories" style="width:100%">
			<option value="video" <?php if('video'==$instance['btype'])echo 'selected="selected"';?>>Video Clip</option>
			<option value="photo" <?php if('photo'==$instance['btype'])echo 'selected="selected"';?>>Photo</option>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('categories'); ?>">Filter by Category:</label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>all categories</option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>
		
		<h3>Second Box</h3>
		<p>
			<label for="<?php echo $this->get_field_id('btype_2'); ?>">Choose Type:</label> 
			<select id="<?php echo $this->get_field_id('btype_2'); ?>" name="<?php echo $this->get_field_name('btype_2'); ?>" class="widefat categories" style="width:100%">
			<option value="video" <?php if('video'==$instance['btype_2'])echo 'selected="selected"';?>>Video Clip</option>
			<option value="photo" <?php if('photo'==$instance['btype_2'])echo 'selected="selected"';?>>Photo</option>
			</select>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('categories_2'); ?>">Filter by Category:</label> 
			<select id="<?php echo $this->get_field_id('categories_2'); ?>" name="<?php echo $this->get_field_name('categories_2'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories_2']) echo 'selected="selected"'; ?>>all categories</option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories_2']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>
		
	<?php }
}
?>