<?php
/*
Plugin Name: Hello World
Plugin URI: http://techsharks.af/
Description: Sample Hello World Plugin
Author: AhmadReza Zahedi
Version: 1
Author URI: http://techsharks.af/
*/
 
/*
function sampleHelloWorld()
{
  echo "<h2>Hello World</h2>";
}

function widget_myHelloWorld($args)
{
	extract($args);
	echo $before_widget;
	echo $before_title;?>My Widget Title<?php echo $after_title;
	sampleHelloWorld();
	echo $after_widget;
}
 
function myHelloWorld_init()
{
	register_sidebar_widget(__('Hello World'), 'widget_myHelloWorld');
}
add_action("plugins_loaded", "myHelloWorld_init");
*/

add_action('widgets_init', 'popular_init');

function popular_init()
{
	register_widget('popular');
}

class popular extends WP_Widget{
	
	function popular()
	{
		$widget_ops = array('classname' => 'popular', 'description' => 'Popular Posts!');

		$control_ops = array('id_base' => 'popular-widget');

		$this->WP_Widget('popular-widget', '[Sharks] Popular', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$title = $instance['title'];
		$posts = $instance['posts'];
		$color = $instance['color'];
		
		echo $before_widget;
		?>
		
		<?php
		$recent_posts = new WP_Query('showposts='.$posts.'&orderby=comment_count&order=DESC');
		?>

		<div class="bx1 <?php echo $color; ?>">
		<h4><a><?php echo $title; ?></a></h4>
		<div>
		<ul>
		<?php $counter = 1; while($recent_posts->have_posts()): $recent_posts->the_post(); ?>
			<li><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></li>
		<?php $counter++; endwhile; ?>
		</ul></div></div>
			
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['title'] = $new_instance['title'];
		$instance['posts'] = $new_instance['posts'];
		$instance['color'] = $new_instance['color'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => '', 'posts' => '5', 'color' => 'grn');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('posts'); ?>">Number of Posts:</label>
			<input class="widefat" style="width: 150px;" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id('color'); ?>">Choose Color:</label> 
			<select id="<?php echo $this->get_field_id('color'); ?>" name="<?php echo $this->get_field_name('color'); ?>" class="widefat categories" style="width:100%">
			<option value='grn' <?php if('grn'==$instance['color'])echo 'selected="selected"';?>>Green Box</option>
			<option value='blu' <?php if('blu'==$instance['color'])echo 'selected="selected"';?>>Blue Box</option>
			<option value='red' <?php if('red'==$instance['color'])echo 'selected="selected"';?>>Red Box</option>
			</select>
		</p>
		
	<?php }
}
?>