<?php
/*
Plugin Name: Hello World
Plugin URI: http://techsharks.af/
Description: Sample Hello World Plugin
Author: AhmadReza Zahedi
Version: 1
Author URI: http://techsharks.af/
*/
 
/*
function sampleHelloWorld()
{
  echo "<h2>Hello World</h2>";
}

function widget_myHelloWorld($args)
{
	extract($args);
	echo $before_widget;
	echo $before_title;?>My Widget Title<?php echo $after_title;
	sampleHelloWorld();
	echo $after_widget;
}
 
function myHelloWorld_init()
{
	register_sidebar_widget(__('Hello World'), 'widget_myHelloWorld');
}
add_action("plugins_loaded", "myHelloWorld_init");
*/

add_action('widgets_init', 'jomle_init');

function jomle_init()
{
	register_widget('jomle');
}

class jomle extends WP_Widget{
	
	function jomle()
	{
		$widget_ops = array('classname' => 'jomle', 'description' => 'Jomle Khafan!');

		$control_ops = array('id_base' => 'jomle-widget');

		$this->WP_Widget('jomle-widget', '[Sharks] Jomle Khafan!', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		
		$categories = $instance['categories'];
		
		echo $before_widget;
		?>
		
		<?php
		$post_types = get_post_types();
		unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
		$recent_posts = new WP_Query(array(
			'showposts' => 1,
			'post_type' => $post_types,
			'cat' => $categories,
		));
		?>
		<?php $recent_posts->the_post(); ?>
		<b><?php the_title(); ?></b>
		<p><?php echo get_the_content(); ?></p>
			
		<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['categories'] = $new_instance['categories'];
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('categories' => 'all');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('categories'); ?>">Filter by Category:</label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>all categories</option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>
		
	<?php }
}
?>