<?php
/*
Plugin Name: Hello World
Plugin URI: http://techsharks.af/
Description: Sample Hello World Plugin
Author: AhmadReza Zahedi
Version: 1
Author URI: http://techsharks.af/
*/
 
/*
function sampleHelloWorld()
{
  echo "<h2>Hello World</h2>";
}

function widget_myHelloWorld($args)
{
    extract($args);
    echo $before_widget;
    echo $before_title;?>My Widget Title<?php echo $after_title;
    sampleHelloWorld();
    echo $after_widget;
}
 
function myHelloWorld_init()
{
    register_sidebar_widget(__('Hello World'), 'widget_myHelloWorld');
}
add_action("plugins_loaded", "myHelloWorld_init");
*/

add_action('widgets_init', 'slideshow_init');

function slideshow_init()
{
    register_widget('slideshow');
}

class slideshow extends WP_Widget{
    
    function slideshow()
    {
        $widget_ops = array('classname' => 'slideshow', 'description' => 'Slide Show for home page.');

        $control_ops = array('id_base' => 'slideshow-widget');

        $this->WP_Widget('slideshow-widget', '[Shark] Slideshow', $widget_ops, $control_ops);
    }
    
    function widget($args, $instance)
    {
        extract($args);
        
        $show_caption = isset($instance['show_caption']) ? 1 : 0;
        
        $post_type = 'all';
        $categories = $instance['categories'];
        $posts = $instance['posts'];
        
        echo $before_widget;
        ?>
        
        <?php
        $post_types = get_post_types();
        unset($post_types['page'], $post_types['attachment'], $post_types['revision'], $post_types['nav_menu_item']);
        
        if($post_type == 'all') {
            $post_type_array = $post_types;
        } else {
            $post_type_array = $post_type;
        }

        $recent_posts = new WP_Query(array(
            'showposts' => $posts,
            'post_type' => $post_type_array,
            'cat' => $categories,
        ));
        ?>
        <div id="slidshow">
                
            <?php $counter = 1;$c = 0; while($recent_posts->have_posts()): $recent_posts->the_post(); ?><?php if(has_post_thumbnail()): ?>
            <div class="s" rel=<?=$c;?>>
                <img src="<?=the_image(($post->ID),2);?>" alt="<?php the_title(); ?>" title="<?php the_title(); ?>" />
                <h3><a href="<? the_permalink();?>"><? the_title(); ?></a></h3>
                <h6><? the_time('j F  Y ');?></h6>
                <p><?= string_limit_words(get_the_content(),52); ?> ...</p>
                <a href="<? the_permalink(); ?>">ادامه مطلب...</a>
            </div>
           <?php $counter++;$c++; endif;endwhile; ?>
            
            <div id="box">
            <?php $counter = 1;$c = 0; while($recent_posts->have_posts()): $recent_posts->the_post(); ?><?php if(has_post_thumbnail()): ?>
            <div class="botton"></div>
            <?php $counter++;endif;endwhile; ?>
                </div>
           
                
        </div>
        
        
        <?php
        echo $after_widget;
    }
    
    function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        
        $instance['show_caption'] = $new_instance['show_caption'];
        
        $instance['post_type'] = 'all';
        $instance['categories'] = $new_instance['categories'];
        $instance['posts'] = $new_instance['posts'];
        
        return $instance;
    }

    function form($instance)
    {
        $defaults = array('show_caption' => null, 'post_type' => 'all', 'categories' => 'all', 'posts' => 4);
        $instance = wp_parse_args((array) $instance, $defaults); ?>
        
        <p>
            <input class="checkbox" type="checkbox" <?php checked($instance['show_caption'], 'on'); ?> id="<?php echo $this->get_field_id('show_caption'); ?>" name="<?php echo $this->get_field_name('show_caption'); ?>" /> 
            <label for="<?php echo $this->get_field_id('show_caption'); ?>">Show Caption</label>
        </p>
        
        <p>
            <label for="<?php echo $this->get_field_id('categories'); ?>">Filter by Category:</label> 
            <select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
                <option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>>all categories</option>
                <?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
                <?php foreach($categories as $category) { ?>
                <option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
                <?php } ?>
            </select>
        </p>
        
        <p>
            <label for="<?php echo $this->get_field_id('posts'); ?>">Number of posts:</label>
            <input class="widefat" style="width: 30px;" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
        </p>
        
    <?php }
}
?>